#!/bin/bash

# Dateitypen, die bereinigt werden sollen
prefixes=("config" "initrd.img" "System.map" "vmlinuz")

for prefix in "${prefixes[@]}"; do
  # Alle passenden Dateien finden
  files=($(ls ${prefix}-* 2>/dev/null))
  if [ ${#files[@]} -eq 0 ]; then
    continue
  fi
  # Neueste Version bestimmen (höchste Versionsnummer)
  newest=$(printf "%s\n" "${files[@]}" | sort -V | tail -n1)
  echo "Behalte: $newest"
  # Alle anderen löschen
  for file in "${files[@]}"; do
    if [ "$file" != "$newest" ]; then
      echo "Lösche: $file"
      rm -f "$file"
    fi
  done
done
